<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */
define('PAGESTR', 5);

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if (!$admin) header('Location: '.ADMIN);

switch ($act) {

	default:

	require_header('Управление новостями');

	$count = mysql_fetch_row(mysql_query("SELECT COUNT(`id`) FROM `".SQLprefixTable."news`"));

	$k_page = k_page($count[0], PAGESTR); 
	$page = page($k_page);
	define('START', (PAGESTR * $page - PAGESTR));

	$sql = mysql_query("SELECT `n`.*, COUNT(`c`.`id`) AS `count` FROM `".SQLprefixTable."news` AS `n` LEFT JOIN `".SQLprefixTable."news_comment` AS `c` ON (`c`.`ref`=`n`.`id`) GROUP BY `n`.`id` ORDER BY `n`.`id` DESC LIMIT ".START.", ".PAGESTR);

	echo '<div class="block">Всего новостей: '.$count[0].'</div>
	<div class="menu"><a href="'.ADMIN.'/news.xhtml/add/"><b>Добавить новость</b></a></div>';

	if (mysql_num_rows($sql)) {

		$i = 0;
		
		while ($row = mysql_fetch_assoc($sql)) {
			echo '<div class="'.($i++ % 2 ? 'main' : 'menu').'"><b>'.htmlspecialchars($row['name']).'</b> / '.clock($row['date']).'<br/>'.nl2br(bbcode(htmlspecialchars($row['text']))).'<br/>
			<a name="'.$row['id'].'" href="'.ADMIN.'/news_comment.xhtml/'.$row['id'].'/">Комментарии</a> ['.$row['count'].']<br/><br/>
			<a href="'.ADMIN.'/news.xhtml/edit/'.$row['id'].'/" style="color:green">Изменить</a> / <a href="'.ADMIN.'/news.xhtml/delete/'.$row['id'].'/" style="color:red">Удалить</a></div>';
		}

		if ($k_page > 1) {
			navigation(ADMIN.'/news.xhtml/', $k_page, $page);
		}
		
	} else {
		echo '<div class="menu">Новостей еще нет!</div>';
	}

	echo '<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';

	require_footer();

	break;
	
	case 'add':
	
	require_header('Добавить новость');
	
	if (isset($_POST['name'], $_POST['text'])) {
	
		$error = '';
		
		if (empty($_POST['name'])) {
			$error .= 'Введите название новости!<br/>';
		}
		else if (iconv_strlen($_POST['name']) < 5 || iconv_strlen($_POST['name']) > 150) {
			$error .= 'Название должно содержать от 5 до 150 символов!<br/>';
		}
		
		if (empty($_POST['text'])) {
			$error .= 'Новость не должна быть пустой!<br/>';
		}
		else if (iconv_strlen($_POST['text']) < 10) {
			$error .= 'Слишком короткая новость!<br/>';
		}
		
		if ($error) {
			echo '<div class="error">'.$error.'</div>';
		} else {
			if (mysql_query("INSERT INTO `".SQLprefixTable."news` SET `date`='".time()."', `name`='".mysql_real_escape_string($_POST['name'])."', `text`='".mysql_real_escape_string($_POST['text'])."'")) {
				header('Refresh: 1, url='.ADMIN.'/news.xhtml');
				echo '<div class="menu">Новость успешно добавлена!</div>';
			} else {
				echo '<div class="error">Ошибка при добавлении новости!</div>';
			}
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название [min: 5, max: 150]:</b><br/><input type="text" name="name" maxlength="150" size="70"/><br/>
	<b>Новость [min: 10, max: -]:</b><br/><textarea name="text" rows="4" cols="70"></textarea><br/>
	<input type="submit" value="Добавить"/>
	</form>
	
	<div class="menu">
	[b]'.bbcode('[b]Жирный шрифт[/b]').'[/b]<br/>
	[s]'.bbcode('[s]Зачеркнутый шрифт[/s]').'[/s]<br/>
	[i]'.bbcode('[i]Наклонный шрифт[/i]').'[/i]<br/>
	[u]'.bbcode('[u]Подчеркнутый шрифт[/u]').'[/u]<br/>
	[blink]'.bbcode('[blink]Мигающий шрифт[/blink]').'[/blink]<br/>
	[small]'.bbcode('[small]Маленький шрифт[/small]').'[/small]<br/>
	[color=red]'.bbcode('[color=red]Красный шрифт[/color]').'[/color]<br/>
	[size=14]'.bbcode('[size=14]Размер шрифта - 14[/size]').'[/size]<br/>
	[url=http://site.ru]'.bbcode('[url=http://site.ru]Название ссылки[/url]').'[/url]</div>
	
	<div class="block"><a href="'.ADMIN.'/news.xhtml">Управление новостями</a></div>';
	
	require_footer();
	
	break;
	
	case 'delete':
	
	$sql = mysql_query("SELECT (`name`) FROM `".SQLprefixTable."news` WHERE `id`='".$id."'");
	
	if (mysql_num_rows($sql)) {
		$row = mysql_fetch_row($sql);
	} else {
		header('Location: '.ADMIN.'/news.xhtml');
	}
	
	require_header('Удалить новость "'.htmlspecialchars($row[0]).'"');
	
	if (isset($_POST['delete'])) {
	
		if (mysql_query("DELETE FROM `".SQLprefixTable."news` WHERE `id`='".$id."'")) {
			header('Refresh: 1, url='.ADMIN.'/news.xhtml');
			echo '<div class="menu">Новость успешно удалена!</div>';
		} else {
			echo '<div class="error">Ошибка при удалении новости!</div>';
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить данную новость?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.ADMIN.'/news.xhtml"><input type="button" value="Нет"/></a>
	</form>
	
	<div class="block"><a href="'.ADMIN.'/news.xhtml">Управление новостями</a></div>';
	
	require_footer();
	
	break;
	
	case 'edit':
	
	$sql = mysql_query("SELECT `name`,`text` FROM `".SQLprefixTable."news` WHERE `id`='".$id."'");
	
	if (mysql_num_rows($sql)) {
		$row = mysql_fetch_assoc($sql);
	} else {
		header('Location: '.ADMIN.'/news.xhtml');
	}
	
	require_header('Изменить новость "'.htmlspecialchars($row['name']).'"');

	if (isset($_POST['name'], $_POST['text'])) {
	
		$error = '';
		
		if (empty($_POST['name'])) {
			$error .= 'Введите название новости!<br/>';
		}
		else if (iconv_strlen($_POST['name']) < 5 || iconv_strlen($_POST['name']) > 150) {
			$error .= 'Название должно содержать от 5 до 150 символов!<br/>';
		}
		
		if (empty($_POST['text'])) {
			$error .= 'Новость не должна быть пустой!<br/>';
		}
		else if (iconv_strlen($_POST['text']) < 10) {
			$error .= 'Слишком короткая новость!<br/>';
		}
		
		if ($error) {
			echo '<div class="error">'.$error.'</div>';
		} else {
			if (mysql_query("UPDATE `".SQLprefixTable."news` SET `name`='".mysql_real_escape_string($_POST['name'])."', `text`='".mysql_real_escape_string($_POST['text'])."' WHERE `id`='".$id."'")) {
				header('Refresh: 1, url='.ADMIN.'/news.xhtml');
				echo '<div class="menu">Новость успешно изменена!</div>';
			} else {
				echo '<div class="error">Ошибка при изменении новости!</div>';
			}
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название [min: 5, max: 150]:</b><br/><input type="text" name="name" maxlength="150" value="'.htmlspecialchars($row['name']).'" size="70"/><br/>
	<b>Новость [min: 10, max: -]:</b><br/><textarea name="text" rows="4" cols="70">'.htmlspecialchars($row['text']).'</textarea><br/>
	<input type="submit" value="Изменить"/>
	</form>
	
	<div class="block"><a href="'.ADMIN.'/news.xhtml">Управление новостями</a></div>';
	
	require_footer();
	
	break;

}
?>